Image¶
An image.
Fields¶
field |
type |
constraints |
default |
Req |
W |
U |
|---|---|---|---|---|---|---|
mediaId |
string |
– |
yes |
no |
no |
|
imageId |
int |
– |
yes |
no |
no |
|
status |
string |
one of |
yes |
no |
no |
mediaId
Unique identifier of this image
imageId
(deprecated) Unique identifier of this image. Superseded by mediaId
status
One of downloading or available.
Relations¶
name |
availability |
embedded |
cardinality |
|---|---|---|---|
always |
no |
1 |
|
always |
no |
1 |
Reference¶
GET /v1/images/{mediaId}
Examples¶
Retrieving an advertisement image :
Request :
GET /v1/images/a64976eb-4adb-4af6-aa0f-3756740d8556 HTTP/1.1 Host: api.marktplaats.nlResponse :
HTTP/1.1 200 OK Content-Type: application/json { "_links": { "self": { "href": "/v1/images/a64976eb-4adb-4af6-aa0f-3756740d8556" }, "curies": [ { "name": "mp", "href": "https://api.marktplaats.nl/docs/v1/{rel}.html", "templated": true } ], "mp:image-meta": { "href": "/v1/images/a64976eb-4adb-4af6-aa0f-3756740d8556/{size}/meta", "templated": true }, "mp:image-blob": { "href": "/v1/images/a64976eb-4adb-4af6-aa0f-3756740d8556/{size}/blob", "templated": true } }, "imageId": 1, "mediaId": "a64976eb-4adb-4af6-aa0f-3756740d8556", "status": "available" }